List event groups
Lists the groups of one event with schedule and check-in times. Use `stageId` to list the groups of one stage.
Parameters #
| Property | Type | Location | Description |
|---|---|---|---|
eventId | stringRequired | path | - |
cursor | string | query | - |
limit | integer | query | - |
stageId | string | query | - |
If-None-Match | string | header | The ETag of a cached copy. The API answers 304 Not Modified when it is still current. |
Request #
curl --request GET 'https://strave.gg/api/v2/events/EVENT_ID/groups' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response #
200Response for status 200304Not Modified. The If-None-Match ETag is current; reuse the cached body.400Response for status 400401Response for status 401403Response for status 403404Response for status 404429Response for status 429500Response for status 500503Response for status 503| Property | Type | Description |
|---|---|---|
data | object[]Required | - |
└id | stringRequired | - |
└eventId | stringRequired | - |
└stageId | stringRequired | - |
└name | stringRequired | - |
└slug | string | nullRequired | - |
└scheduledAt | string | nullRequired | - |
└checkInStartsAt | string | nullRequired | - |
└checkInEndsAt | string | nullRequired | - |
└startedAt | string | nullRequired | - |
└endedAt | string | nullRequired | - |
└format | string | The format type that the group plays: its own format, else the stage format. |
└bestOf | number | Default best-of of the group: its own value, else the stage best-of. |
meta | objectRequired | - |
└nextCursor | string | nullRequired | An opaque cursor returned by the previous page. |
└hasMore | booleanRequired | - |
Cost #
5 API units